Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.mdr
Class JMIMapper

    java.lang.Object
      org.netbeans.api.mdr.JMIMapper

    public abstract class JMIMapper

extends Object

JMI mapping utility. Generates JMI interfaces for a given metamodel. Use `getDefault()` method to obtain the default instance.

Constructor Summary
`JMIMapper()`

Method Summary
`abstract void` | `generate(JMIStreamFactory sf, javax.jmi.reflect.RefBaseObject object)` Generates JMI interfaces for the specified object and the objects contained in it.
`static JMIMapper` | `getDefault()` Returns the default JMI mapping utility in the system

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMIMapper

    public JMIMapper()

Method Detail

### generate

    public abstract void generate(JMIStreamFactory sf,
                                  javax.jmi.reflect.RefBaseObject object)
                           throws IOException

  Generates JMI interfaces for the specified object and the objects contained in it.

  Parameters:
    `sf` - Implementation of `JMIStreamFactory` interface.
    `object` - Top-level object for interface generation. There are two possible kinds of objects that can be passed:
    - RefObject (instance) - interfaces for this instance together with interfaces for all transitively contained instances are generated.
    - RefPackage (package extent) - interfaces for all instances contained transitively in this package extent are generated.
  Throws:
    `IOException` - I/O error during interfaces generation.

### getDefault

    public static JMIMapper getDefault()

  Returns the default JMI mapping utility in the system

  Returns:
    default JMI mapping utility

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.